Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl

All Implemented Interfaces:
  Element, HTMLElement, Node

Direct Known Subclasses:
  JRexHTMLAnchorElementImpl, JRexHTMLAppletElementImpl, JRexHTMLAreaElementImpl, JRexHTMLBaseElementImpl, JRexHTMLBaseFontElementImpl, JRexHTMLBodyElementImpl, JRexHTMLBRElementImpl, JRexHTMLButtonElementImpl, JRexHTMLDirectoryElementImpl, JRexHTMLDivElementImpl, JRexHTMLDListElementImpl, JRexHTMLFieldSetElementImpl, JRexHTMLFontElementImpl, JRexHTMLFormElementImpl, JRexHTMLFrameElementImpl, JRexHTMLFrameSetElementImpl, JRexHTMLHeadElementImpl, JRexHTMLHeadingElementImpl, JRexHTMLHRElementImpl, JRexHTMLHtmlElementImpl, JRexHTMLIFrameElementImpl, JRexHTMLImageElementImpl, JRexHTMLInputElementImpl, JRexHTMLIsIndexElementImpl, JRexHTMLLabelElementImpl, JRexHTMLLegendElementImpl, JRexHTMLLIElementImpl, JRexHTMLLinkElementImpl, JRexHTMLMapElementImpl, JRexHTMLMenuElementImpl, JRexHTMLMetaElementImpl, JRexHTMLModElementImpl, JRexHTMLObjectElementImpl, JRexHTMLOListElementImpl, JRexHTMLOptGroupElementImpl, JRexHTMLOptionElementImpl, JRexHTMLParagraphElementImpl, JRexHTMLParamElementImpl, JRexHTMLPreElementImpl, JRexHTMLQuoteElementImpl, JRexHTMLScriptElementImpl, JRexHTMLSelectElementImpl, JRexHTMLStyleElementImpl, JRexHTMLTableCaptionElementImpl, JRexHTMLTableCellElementImpl, JRexHTMLTableColElementImpl, JRexHTMLTableElementImpl, JRexHTMLTableRowElementImpl, JRexHTMLTableSectionElementImpl, JRexHTMLTextAreaElementImpl, JRexHTMLTitleElementImpl, JRexHTMLUListElementImpl

public class JRexHTMLElementImpl
extends JRexElementImpl
implements HTMLElement

A class implementing org.w3c.dom.html2.HTMLElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `JRexHTMLElementImpl()` Intended to be used by JNI

Method Summary
`String` | `getClassName()` The class attribute of the element.
`String` | `getDir()` Specifies the base direction of directionally neutral text and the directionality of tables.
`String` | `getId()` The element's identifier.
`String` | `getLang()` Language code defined in RFC 1766.
`String` | `getTitle()` The element's advisory title.
`void` | `setClassName(String className)` The class attribute of the element.
`void` | `setDir(String dir)` Specifies the base direction of directionally neutral text and the directionality of tables.
`void` | `setId(String eid)` The element's identifier.
`void` | `setLang(String lang)` Language code defined in RFC 1766.
`void` | `setTitle(String title)` The element's advisory title.

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### JRexHTMLElementImpl

    protected JRexHTMLElementImpl()

  Intended to be used by JNI

Method Detail

### getId

    public String getId()

  Description copied from interface: `HTMLElement`
  The element's identifier. See the id attribute definition in HTML 4.01.

  Specified by:
    `getId` in interface `HTMLElement`

### setId

    public void setId(String eid)
               throws DOMException

  Description copied from interface: `HTMLElement`
  The element's identifier. See the id attribute definition in HTML 4.01.

  Specified by:
    `setId` in interface `HTMLElement`
  Throws:
    `DOMException`

### getTitle

    public String getTitle()

  Description copied from interface: `HTMLElement`
  The element's advisory title. See the title attribute definition in HTML 4.01.

  Specified by:
    `getTitle` in interface `HTMLElement`

### setTitle

    public void setTitle(String title)
                  throws DOMException

  Description copied from interface: `HTMLElement`
  The element's advisory title. See the title attribute definition in HTML 4.01.

  Specified by:
    `setTitle` in interface `HTMLElement`
  Throws:
    `DOMException`

### getLang

    public String getLang()

  Description copied from interface: `HTMLElement`
  Language code defined in RFC 1766. See the lang attribute definition in HTML 4.01.

  Specified by:
    `getLang` in interface `HTMLElement`

### setLang

    public void setLang(String lang)
                 throws DOMException

  Description copied from interface: `HTMLElement`
  Language code defined in RFC 1766. See the lang attribute definition in HTML 4.01.

  Specified by:
    `setLang` in interface `HTMLElement`
  Throws:
    `DOMException`

### getDir

    public String getDir()

  Description copied from interface: `HTMLElement`
  Specifies the base direction of directionally neutral text and the directionality of tables. See the dir attribute definition in HTML 4.01.

  Specified by:
    `getDir` in interface `HTMLElement`

### setDir

    public void setDir(String dir)
                throws DOMException

  Description copied from interface: `HTMLElement`
  Specifies the base direction of directionally neutral text and the directionality of tables. See the dir attribute definition in HTML 4.01.

  Specified by:
    `setDir` in interface `HTMLElement`
  Throws:
    `DOMException`

### getClassName

    public String getClassName()

  Description copied from interface: `HTMLElement`
  The class attribute of the element. This attribute has been renamed due to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.01.

  Specified by:
    `getClassName` in interface `HTMLElement`

### setClassName

    public void setClassName(String className)
                      throws DOMException

  Description copied from interface: `HTMLElement`
  The class attribute of the element. This attribute has been renamed due to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.01.

  Specified by:
    `setClassName` in interface `HTMLElement`
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.